#include <bits/stdc++.h>
using namespace std;

int main()
{
    ios_base::sync_with_stdio(0); cin.tie(0); cout.tie(0);

    int n;
    cin >> n;
    vector<int> neg, pos;
    for(int i = 0;i < n;i++){
        int x;
        cin >> x;
        if(x > 0) pos.push_back(x);
        else neg.push_back(-x);
    }
    sort(pos.begin(), pos.end());
    sort(neg.begin(), neg.end());

    if(pos.size() == 0){
        cout << n << '\n';
        for(int i = 0;i < n;i++){
            cout << 23;
        }
    }
    else if(neg.size() == 0){
        int r = 0, k = 0;
        for(int i = 0;i < pos.size();i++){
            if(pos[i] - k <= 0) break;
            r++;
            k += 2;
        }
        cout << r << '\n';
        for(int i = 0;i < r;i++){
            cout << 12;
        }
    }

    return 0;
}